Skip to main content
`Ctrl`+`K`

# TAOCG

Nonlinear conjugate gradient method is an extension of the nonlinear conjugate gradient solver for nonlinear optimization.

## Options Database Keys

- -tao_cg_eta r - restart tolerance

- -tao_cg_type taocg_type - cg formula, one of `fr`, `pr`, `prp`, `hs`, `dy`

- -tao_cg_delta_min r - minimum delta value

- -tao_cg_delta_max r - maximum delta value

## Note

## The cg formulas are

- `fr` - Fletcher-Reeves

- `pr` - Polak-Ribiere

- `prp` - Polak-Ribiere-Plus

- `hs` - Hestenes-Steifel

- `dy` - Dai-Yuan

## See Also

`Tao`, `TAONTR`, `TAONLS`, `TaoType`, `TaoCreate()`

## Level

beginner

## Location

src/tao/unconstrained/impls/cg/taocg.c

## Examples

src/tao/unconstrained/tutorials/minsurf2.c
src/tao/unconstrained/tutorials/eptorsion2.c
src/tao/unconstrained/tutorials/eptorsion2f.F90

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages